Create a shift on an employee’s timesheet

Add a shift to an employee’s timesheet to record hours worked on the clock.

Query Params
boolean
Defaults to false

Whether Everee should process a timesheet correction for a date that's already been paid-out. If false, creating a shift for a paid-out date will fail with an error.

Body Params
string
required

Required if "externalWorkerId" is not specified.

string
required

Required if "workerId" is not specified.

int32
required

The timestamp when the worker "punched in" for this shift, or started working. UNIX epoch seconds.

int32

The timestamp when the worker "punched out" for this shift, or stopped working. UNIX epoch seconds.

createBreaks
array of objects

A list of breaks taken as part of this Shift.

createBreaks
effectiveHourlyPayRate
object

The hourly pay rate at which to calculate gross earnings for this shift.

displayHourlyPayRate
object

The hourly pay rate to display on pay stubs, if it's different from the "effective pay rate".

int32

The numeric ID of the "Work Location" at which this shift was worked. See the Work Locations API for more information. Determines tax liability based on that location, rather than the location assigned to the worker's profile.

string

The Workers Comp class code associated with this shift. Must match an entry in the configured list of Workers Comp class codes for the state in which the shift was worked

string
enum

The approach to use when calculating tax due on the wages for this Shift. The default setting is "STANDARD", which applies standard tax withholding rules.

Allowed:
string
enum
Defaults to NEXT_PAYROLL_PAYMENT

How to pay out an underpaid amount when this call results in a correction. This field only has an effect if the correction is an underpayment and an amount must be paid-out. If the correction is an overpayment, this field has no effect.

Allowed:
fullyClassifiedHours
array of objects

A list of fully-classified "segments" of hours worked on this shift. This field is required if the company is set to "external timesheet classification"; otherwise, you're not allowed to provide this field, since Everee will classify hours automatically.

fullyClassifiedHours
string

A free-form text note about the hours worked on this shift.

dimensions
object

The dimensions to allocate this shift's total wage expense.

Response

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json